// C Header File
// Created 28/09/02; 09:28:49

#ifndef __MACROS_H__
#define __MACROS_H__

#define fatal(s) do {ST_helpMsg(s); return;} while (0)

// to avoid the wrapper only needed for compatibility with AMS1
#define custom_EV_getAppID _rom_call(AppID,(const char *),454)

#define PRGM_NAME "Integrated Desktop"
#define PRGM_VERSION "v0.2d"
#define EVHK_TAG "evHk"
#define EVHK_TAG_HEXA (long)0x6576486B     // = 'e' 'v' 'H' 'k'
#define EV_HOOK_NAME EVHK_TAG"ID:LetMe" // for Kevin Kofler's event hooks convention (8 bytes)
#define TXT_VIEWER_NAME "textvi"
#define ICO_FILENAME "idicons"
#define ICO_TYPE "icon"
#define BCK_FILENAME "idbck"
#define BACKUP_TYPE "bck"
#define BACKUP_TYPE_HEXA (long)0x0062636B
#define ICON_SIZE (unsigned long)70     // size of an icon (22x22 bitmap)
#define ICO_MAGIC (unsigned long)0x70692F38
#define BACKUP_MAGIC (long)0x6964626B
#define ACB_PRGM_MAGIC (unsigned long)0x706D6D67     // for ASM,PPG and TI-BASIC
#define ACB_TXT_MAGIC (unsigned long)0x74786D67
#define ACB_REFRESH_DT_MAGIC (unsigned long)0x72646D67
#define DESKTOP_FOLDERS_NUM 6     // without the folder 'All'
#define DT_FOLDERS_MIN_AD (void*)0x5000    // where we will search for the
#define DT_FOLDERS_MAX_AD (void*)0xA000    // list of the folders of the Desktop
#define MAX_HANDLES_NUM (unsigned short)2000     // AMS can handle 2000 handles
#define TXT_EXTENSION ".txt"
#define TXT_EXTENSION_SIZE sizeof (TXT_EXTENSION)
#define DESKTOP_INTERNAL_NAME "TIDSKTOP"	// parameter for EV_getAppID()

// for debugging purposes :
#define DB_msg(s) {ST_helpMsg(s);}
#define DB_msg_pause(s) {DB_msg(s); ngetchx(); ST_eraseHelp();}
#define DB_break() {asm ("0: bra.s 0b");}
#define DB_pause() {ngetchx();}
#define DB_mark(s) {asm ("/* MARK : "#s" */");}

#endif     // #ifndef __MACROS_H__
